Package org.jcsp.lang

# Interface BufferedChannelFactory

All Known Implementing Classes:
  `FilteredChannelFactory`, `StandardChannelFactory`

public interface BufferedChannelFactory
Deprecated.
These channel factories are deprecated in favour of the new one2one() methods in the Channel class.
Defines an interface for a factory that can create channels with user-definable buffering semantics.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`Any2AnyChannel`
`createAny2Any(ChannelDataStore buffer)`
Deprecated.
Creates a new `Any2Any` channel with the given buffering behaviour.
`Any2OneChannel`
`createAny2One(ChannelDataStore buffer)`
Deprecated.
Creates a new `Any2One` channel with the given buffering behaviour.
`One2AnyChannel`
`createOne2Any(ChannelDataStore buffer)`
Deprecated.
Creates a new `One2Any` channel with the given buffering behaviour.
`One2OneChannel`
`createOne2One(ChannelDataStore buffer)`
Deprecated.
Creates a new `One2One` channel with the given buffering behaviour.

## Method Details

### createOne2One

One2OneChannel createOne2One(ChannelDataStore buffer)
Deprecated.
Creates a new `One2One` channel with the given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.

### createAny2One

Any2OneChannel createAny2One(ChannelDataStore buffer)
Deprecated.
Creates a new `Any2One` channel with the given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.

### createOne2Any

One2AnyChannel createOne2Any(ChannelDataStore buffer)
Deprecated.
Creates a new `One2Any` channel with the given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.

### createAny2Any

Any2AnyChannel createAny2Any(ChannelDataStore buffer)
Deprecated.
Creates a new `Any2Any` channel with the given buffering behaviour.

Parameters:
  `buffer` - the buffer implementation to use.
Returns:
  the created channel.